/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Controllers.Stock;

import Controllers.Traitement.Adaptateur;
import Models.Produit.ListeProduit;
import java.net.URL;
import java.util.ResourceBundle;
import javafx.collections.ObservableList;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TableView;
import javafx.scene.control.cell.PropertyValueFactory;
import javafx.scene.text.Text;

/**
 * FXML Controller class
 * @author Maher
 */
public class PrintSelProduitController implements Initializable {

    
    @FXML private Text TextLocale;
    @FXML private Text TextDateCreate;
    @FXML private Text TextCategory;
    @FXML private Text TextPagination;

    @FXML private TableView<ListeProduit> TableViewProduit ;
    @FXML private TableColumn<ListeProduit, String> TabColProduitReference;
    @FXML private TableColumn<ListeProduit, String> TabColProduitDesignation;
    @FXML private TableColumn<ListeProduit, String> TabColProduitQuantite;
        
    /**
     * Initializes the controller class.
     */
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        TabColProduitReference.setCellValueFactory(new PropertyValueFactory<ListeProduit, String>("reference"));
        TabColProduitDesignation.setCellValueFactory(new PropertyValueFactory<ListeProduit, String>("designation"));
        TabColProduitQuantite.setCellValueFactory(new PropertyValueFactory<ListeProduit, String>("quantite"));
        TabColProduitQuantite.setStyle( "-fx-alignment: CENTER; -fx-font-weight:bold; -fx-font-size: 10pt;");
        TabColProduitQuantite.getStyleClass().add("Center");
    }    
    
    public void setProduits(ObservableList<ListeProduit> listProduits, String Local, String Category, String Pagination){
        TableViewProduit.setItems(null);
        TableViewProduit.setItems(listProduits);
        TextLocale.setText(Local);
        TextCategory.setText(Category);
        TextPagination.setText(Pagination);
        TextDateCreate.setText(Adaptateur.getDefaultCurrentDate("dd/MM/yyyy HH:mm"));
    }
}
